import { HttpClient } from '@angular/common/http';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CartService {
    private http;
    expandAll: BehaviorSubject<boolean>;
    constructor(http: HttpClient);
    getCartList(cartId: any): Observable<any>;
    getOrderDetails(orderId: any): Observable<any>;
    deleteCartEntry(cartId: any, entryNumber: any): Observable<any>;
    clearCart(cartId: any): Observable<any>;
    updateCartEntry(cartId: any, entryNumber: any, payLoad: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CartService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CartService>;
}
